#include "regismodule.h"
#include "message.h"

RegisModule::RegisModule() : voc("../res/vocab.txt"), regisEnable(true) {}

bool RegisModule::messageHandler(Message msg)
{
    if(msg.args.contains("régis ?"))
    {
        answer = say(voc.getRandNom() + " "
                     + voc.getRandAdjectif() + " "
                     + voc.getRandVerbe() + " "
                     + voc.getRandNom() + ".");
        return true;
    }
    /*else if(msg.args.compare("!initrégis") == 0)
    {
        regisEnable = true;
        setNick("il_est_con_Regis");
        answer = QString("NICK %1\r\n").arg(getNick());
        return true;
    }*/

    return false;
}

QString RegisModule::getName()
{
    return "regis";
}
